
local Spyglass = Spyglass

function Spyglass:SetItemTooltip(button, link)
    if link then
        if not self.inInspectRange or
           not GameTooltip:SetInventoryItem(self.frame.unit,
                                            button:GetID()) then
            GameTooltip:SetHyperlink(link)
        end
    else
        GameTooltip:Hide()
    end
end

function Spyglass:ButtonOnEnter()
    GameTooltip:SetOwner(this, "ANCHOR_RIGHT")
    
    local slotName = strsub(this:GetName(), 8, -5)
    self:SetItemTooltip(this, self.currentInfo.equipment[slotName])
    
    CursorUpdate()
end

function Spyglass:UpdateButtons(info, slots)
    local equipment = info.equipment
    local button, link, texture
    
    for slotName in pairs(slots) do
        button = _G['Inspect'..slotName..'Slot']
        link = equipment[slotName]
        if link then
            _, _, _, _, _, _, _, _, _, texture = GetItemInfo(link)
            button.hasItem = true
        else
            texture = button.backgroundTextureName
            button.hasItem = false
        end
        
        SetItemButtonTexture(button, texture)
        SetItemButtonCount(button, 0)
        
        if GameTooltip:IsOwned(button) then
            self:SetItemTooltip(button, link)
        end
    end
end
